using System;
using System.Xml;
class Program
{
    static void Main()
    {
        int n = Convert.ToInt32(Console.ReadLine());
        HashSet<int> s = new HashSet<int>();
        int max = 2 * n;
        int min = 1;

        string output = "";
        
        for (int i = 0; i < n - 2; i++)
        {
            if (i <= (n+2) / 2)
            {
                if (s.Contains(min) != true)
                {
                    s.Add(min);
                    output += (min);
                    output += (" ");
                }
                if (s.Contains(max) != true)
                {
                    s.Add(max);
                    output += (max);
                    output += (" ");

                }
            }
            else
            {
                if (s.Contains(min) != true)
                {
                    s.Add(min);
                    output += (min);
                    output += (" ");
                }
                if (s.Contains(max) != true)
                {
                    s.Add(max);
                    output += (max);
                    output += (" ");

                }
            }
            max -= 1;
            min += 1;


            //Console.WriteLine(output);
        }

        output += n;
        output += " ";
        output += n + 2;
        output += " ";
        output += n - 1;
        output += " ";
        output += n + 1;

        string di = output.Substring(0, output.Length/2);
        string ro = output.Substring(output.Length / 2+1, output.Length);
        Console.WriteLine(di);
        Console.WriteLine(ro);
        //Console.WriteLine($"{n} {n + 2}");
        //Console.WriteLine($"{n - 1} {n+1}");



    }
}